Package ch.qos.logback.access.spi

# Interface ServerAdapter

All Known Implementing Classes:
  `JettyServerAdapter`, `TomcatServerAdapter`

public interface ServerAdapter
An interface to access server-specific methods from the server-independent AccessEvent.

Author:
  Ceki Gülcü, Sébastien Pennec

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`buildResponseHeaderMap()`
`long`
`getContentLength()`
`long`
`getRequestTimestamp()`
`int`
`getStatusCode()`

## Method Details

### getRequestTimestamp

long getRequestTimestamp()

### getContentLength

long getContentLength()

### getStatusCode

int getStatusCode()

### buildResponseHeaderMap

Map<String,String> buildResponseHeaderMap()